# m3e/loading_indicator

LoadingIndicator is shows indeterminate progress for a short wait time.

This file was generated: By: m3e/generator version 0.1.0 At: 2026-05-05T14:38:23+10:00

         DO NOT EDIT

# Types

## LoadingIndicator

opaque </>

LoadingIndicator is a View Model for this component

## Fields:

- variant: The appearance variant of the indicator.

    pub opaque type LoadingIndicator

# Values

## default_variant

</>

    pub const default_variant: loading_indicator_variant.LoadingIndicatorVariant

## new

</>

    pub fn new(
      variant: loading_indicator_variant.LoadingIndicatorVariant,
    ) -> LoadingIndicator

new creates a new LoadingIndicator with the default configuration.

## render

</>

    pub fn render(
      model: LoadingIndicator,
      attributes: List(attribute.Attribute(msg)),
      children: List(element.Element(msg)),
    ) -> element.Element(msg)

render creates a Lustre Element for a LoadingIndicator

## variant

</>

    pub fn variant(
      arg: LoadingIndicator,
      variant: loading_indicator_variant.LoadingIndicatorVariant,
    ) -> LoadingIndicator

variant sets the value of variant for this LoadingIndicator.

✨